<?php
@session_start();

if ( ( $_SESSION[ "benutzer_anmeldename" ] == "superuser" ) and ( $_SESSION[ "mandant_name" ] == "Standard" ) )
{
	header( "Location: su_uebersicht.php" );
	exit;
}

include( "su_web.php" );


//$benutzer_anmeldename = $_SESSION[ "benutzer_anmeldename" ];

if ( strlen( $_SESSION[ "benutzer_anmeldename" ] ) > 0 )
{
	$benutzer = liefere_benutzerinformationen( $_SESSION[ "mandant_name" ], $_SESSION[ "benutzer_anmeldename" ] );

	////////////////////////////////////////
	// Javascript-Dateien
	$_SESSION[ "javascript_dateien" ] = "jquery.dataTables.min.js|jquery.fancybox.pack.js?v=2.1.5|jstree.min.js";
	////////////////////////////////////////
	
	////////////////////////////////////////
	// Javascript-Startup
	$_SESSION[ "javascript_startup" ] = "$(function () { $('#schreibtisch_jstree').jstree(
			{
				'plugins' : [ 'wholerow' ],
				'core' :
				{
					check_callback: true,
					'themes' :
					{
						'name' : false
					},
					'data': 
					{
						'url': 'su_web.php',
						'data': function(node)
								{ return { 'alpha_01': node.id, 'cmd': 'liefere_schreibtisch_JSON', 'benutzer_anmeldename': '".$_SESSION[ "benutzer_anmeldename" ]."', 'mandant_name': '".$_SESSION[ "mandant_name" ]."' }; } 
					}
					
				}

			}); });
			
			
			$(function () {
			$('#schreibtisch_jstree').on( 'changed.jstree', function (e, data) { 
				
				var icon = data.instance.get_node( data.selected ).icon;
				var text = data.instance.get_node( data.selected ).text;
				var id   = data.instance.get_node( data.selected ).id;
				
				
				
				//alert( icon + ' | ' + text + ' | ' + id );
				
				
				
				$('#ergebnis').load( 'su_web.php?cmd=liefere_schreibtisch_inhalt&alpha_01='+encodeURIComponent( text )+'&alpha_02='+encodeURIComponent( id )+'&mandant_name='+encodeURIComponent( '".$_SESSION[ "mandant_name" ]."' )+'&benutzer_anmeldename='+encodeURIComponent( '".$_SESSION[ "benutzer_anmeldename" ]."' ) );
				$('#dokumentanzeige').html('');
				
				});
			});
			
			";
	////////////////////////////////////////
	
	////////////////////////////////////////
	// CSS-Dateien
	$_SESSION[ "css_dateien" ] = "jquery.fancybox.css?v=2.1.5|style.jstree.css|jquery.dataTables_themeroller.css|jquery.dataTables.min.css";
	////////////////////////////////////////
	

	$_SESSION[ "title" ] = "Schreibtisch von ".$benutzer[ 2 ][ "benutzer_name" ];
	include( 'ssi_header.php' );
	$_SESSION[ "title" ] = "";
	
	////////////////////////////////////////
	// Javascript-Dateien
	$_SESSION[ "javascript_dateien" ] = "";
	////////////////////////////////////////
	
	////////////////////////////////////////
	// Javascript-Startup
	$_SESSION[ "javascript_startup" ] = "";
	////////////////////////////////////////
	
	////////////////////////////////////////
	// CSS-Dateien
	$_SESSION[ "css_dateien" ] = "";
	////////////////////////////////////////
	
	
	
	
	
	$us_rech_imp_button = liefere_benutzerspezifische_einstellung( $_SESSION[ "mandant_name" ], $_SESSION[ "benutzer_anmeldename" ], "us_rech_imp_button" );
	
	if ( $us_rech_imp_button == "ja" )
	{
		echo "<div style='margin-left:200px; padding-bottom:30px;  min-height:900px;'  >";
		include( "us_menu.php" );
	}
	else
	{
		echo "<div style='margin-left:20px; padding-bottom:30px;  min-height:900px;'  >";
	}
	
	
	////////////////////////////////////////
	
	/*
	echo "<div style=''><table border='1' ><tr><td style='vertical-align: top;' rowspan='2' ><div id='schreibtisch_jstree' style='min-width:300px;' ></div>";
	
	
	
	echo "</td><td style='width:100%; vertical-align: top;' ><div id='ergebnis' style='margin-left:20px;'></div></td><tr><td><div id='dokumentanzeige' style='max-width:100%; margin-left:20px;margin-right:20px;min-height:100px;' ></div></td></tr></table></div>";
	
	echo "";
	
	echo "<script></script>";
	
	border:2px solid grey;  
	
	*/
	
	
	echo "<div id='schreibtisch_jstree' style='float:left; width:350px; height:700px; overflow:auto; ' ></div>";
	//echo "<div style='float:left;    '>";
	echo "<div id='ergebnis' style=' padding-left: 10px; max-height: 420px; overflow:auto;  '></div><script>$( '#ergebnis' ).load( 'su_web.php?cmd=liefere_schreibtisch_inhalt&alpha_01=Posteingang&alpha_02=posteingang---".$_SESSION[ "benutzer_anmeldename" ]."&mandant_name='+encodeURIComponent( '".$_SESSION[ "mandant_name" ]."' )+'&benutzer_anmeldename='+encodeURIComponent( '".$_SESSION[ "benutzer_anmeldename" ]."' ) );</script>";
	
	echo "<div id='dokumentanzeige' style=' overflow:auto; padding-top: 10px; padding-left: 10px; ' ></div>";
	
	////////////////////////////////////////
	
	
	
	
	
	
	
	
	echo '</div>';
	//echo '</div></div>';
	
	
	echo "<p style='clear:both;' />";
	include( 'ssi_footer.php' );

}
else
{
	header("Location: index.php");
}
?>      